
#if !defined(AFX_NOPEPAD_H__BCF510A5_3015_11D3_A370_95F2D4E42C78__INCLUDED_)
#define AFX_NOPEPAD_H__BCF510A5_3015_11D3_A370_95F2D4E42C78__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include <commdlg.h>

#endif // !defined(AFX_NOPEPAD_H__BCF510A5_3015_11D3_A370_95F2D4E42C78__INCLUDED_)

// NopePad.cpp - main module
#define MAX_LOADSTRING 100
#define IDC_EDIT  1000

extern char CurFile[];

// NopePadIO.cpp
BOOL PNFileExists( const char* Path );
BOOL OkToReplace( HWND hWnd, const char * Path );
void ReadText( HWND hWnd, int EditControl );
void WriteText( HWND hWnd, int EditControl );

//NopePadDlg.cpp
BOOL PNGetSaveFileName( HWND hWnd, char* Dest, int DestSize );
BOOL PNGetOpenFileName( HWND hWnd, char* Dest, int DestSize );
BOOL PNChooseFont( HWND hWnd, HFONT* DestFont );
BOOL PNPageSetup( HWND hWnd, PAGESETUPDLG* PageSetup );
void PNPageSetupInit( PAGESETUPDLG* PageSetup );
HDC PNGetPrinterDC();
void PNEzMargins( PAGESETUPDLG* PageSeup, int* Left, int *Top, int* Right, int* Bottom );
HFONT PNCreatePrinterFont( HWND hWnd, HFONT CurFont );


// NopePadClip.cpp
int GetClipTextLength( HWND hWnd );
